# YouTube Reporting API . reportTypes

## Instance Methods

Lists report types.

Retrieves the next page of results.

### Method Details

`list(onBehalfOfContentOwner=None, pageSize=None, pageToken=None, x__xgafv=None, includeSystemManaged=None)`

    Lists report types.

    Args:
      onBehalfOfContentOwner: string, The content owner's external ID on which behalf the user is acting on. If not set, the user is acting for himself (his own channel).
      pageSize: integer, Requested page size. Server may return fewer report types than requested. If unspecified, server will pick an appropriate default.
      pageToken: string, A token identifying a page of results the server should return. Typically, this is the value of ListReportTypesResponse.next_page_token returned in response to the previous call to the `ListReportTypes` method.
      x__xgafv: string, V1 error format.
      includeSystemManaged: boolean, If set to true, also system-managed report types will be returned; otherwise only the report types that can be used to create new reporting jobs will be returned.

    Returns:
      An object of the form:

        { # Response message for ReportingService.ListReportTypes.
        "nextPageToken": "A String", # A token to retrieve next page of results. Pass this value in the ListReportTypesRequest.page_token field in the subsequent call to `ListReportTypes` method to retrieve the next page of results.
        "reportTypes": [ # The list of report types.
          { # A report type.
            "deprecateTime": "A String", # The date/time when this report type was/will be deprecated.
            "systemManaged": True or False, # True if this a system-managed report type; otherwise false. Reporting jobs for system-managed report types are created automatically and can thus not be used in the `CreateJob` method.
            "id": "A String", # The ID of the report type (max. 100 characters).
            "name": "A String", # The name of the report type (max. 100 characters).
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.